> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync integration



## OpenAPI

````yaml /spec/openapi.json post /integrations/{integration}/sync
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /integrations/{integration}/sync:
    post:
      tags:
        - Integrations
      summary: Sync integration
      operationId: integrations-sync
      parameters:
        - name: integration
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    sync:
                      type: string
                      description: >-
                        Data to be synced with the provider: -
                        `accounting_codes`: imports Accounting Codes from the
                        provider. - `journal_entries`: exports Journal Entries
                        to the provider, requires a `payroll_id`. - `category`:
                        imports tracking categories (Xero Tracking Categories /
                        QuickBooks Classes) as Tag Groups and Tags. -
                        `department`: imports departments (QuickBooks Locations)
                        as Tag Groups and Tags. QuickBooks only. - `project`:
                        imports projects as Tag Groups and Tags. QuickBooks
                        only.
                      enum:
                        - accounting_codes
                        - category
                        - department
                        - journal_entries
                        - project
                    business_entity_id:
                      type: string
                    payroll_id:
                      type: string
                - type: object
                  required:
                    - sync
            example:
              sync: accounting_codes
              business_entity_id: <id>
      responses:
        '202':
          description: Accepted
components:
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````